package com.ynet.life.util;

import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

/* loaded from: com_ynet_life_util.jar:com/ynet/life/util/PropertiesFile.class */
public class PropertiesFile {
    public static String getResource(String configFile, String id) {
        return getResources(configFile).getString(id);
    }

    public static String getProperty(String configFile, String id) {
        return getProperties(configFile).getProperty(id);
    }

    public static String getProperty(String configFile, String id, String defaultValue) {
        return getProperties(configFile).getProperty(id, defaultValue);
    }

    public static ResourceBundle getResources(String configFile) {
        InputStream in = null;
        try {
            try {
                String fileName = !configFile.startsWith("/") ? String.valueOf(LifeStandard.getRootPath()) + "WEB-INF/" + configFile : String.valueOf(LifeStandard.getRootPath()) + "WEB-INF" + configFile;
                in = new BufferedInputStream(new FileInputStream(fileName));
                PropertyResourceBundle propertyResourceBundle = new PropertyResourceBundle(in);
                try {
                    in.close();
                } catch (IOException unused) {
                }
                return propertyResourceBundle;
            } catch (Throwable th) {
                if (in != null) {
                    try {
                        in.close();
                    } catch (IOException unused2) {
                    }
                }
                throw th;
            }
        } catch (FileNotFoundException fnfe) {
            Trace.logWarning("LifeCore", "资源文件[" + configFile + "]不存在", fnfe);
            if (in == null) {
                return null;
            }
            try {
                in.close();
                return null;
            } catch (IOException unused3) {
                return null;
            }
        } catch (IOException ioe) {
            Trace.logWarning("LifeCore", "资源文件[" + configFile + "]读取出错", ioe);
            if (in == null) {
                return null;
            }
            try {
                in.close();
                return null;
            } catch (IOException unused4) {
                return null;
            }
        }
    }

    public static Properties getProperties(String configFile) {
        InputStream in = null;
        try {
            try {
                String fileName = !configFile.startsWith("/") ? String.valueOf(LifeStandard.getRootPath()) + "WEB-INF/" + configFile : String.valueOf(LifeStandard.getRootPath()) + "WEB-INF" + configFile;
                in = new BufferedInputStream(new FileInputStream(fileName));
                Properties prop = new Properties();
                prop.load(in);
                try {
                    in.close();
                } catch (IOException unused) {
                }
                return prop;
            } catch (FileNotFoundException fnfe) {
                Trace.logWarning("LifeCore", "资源文件[" + configFile + "]不存在", fnfe);
                if (in == null) {
                    return null;
                }
                try {
                    in.close();
                    return null;
                } catch (IOException unused2) {
                    return null;
                }
            } catch (IOException ioe) {
                Trace.logWarning("LifeCore", "资源文件[" + configFile + "]读取出错", ioe);
                if (in == null) {
                    return null;
                }
                try {
                    in.close();
                    return null;
                } catch (IOException unused3) {
                    return null;
                }
            }
        } catch (Throwable th) {
            if (in != null) {
                try {
                    in.close();
                } catch (IOException unused4) {
                }
            }
            throw th;
        }
    }
}
